<?php
$uu_call_out_title_text = wp_kses_post($instance['uu_call_out_title_text']) ??  '';
$uu_call_out_body_text = wp_kses_post($instance['uu_call_out_body_text']) ??  '';
$uu_call_out_button_text = wp_kses_post($instance['uu_call_out_button_text']) ??  '';
$uu_call_out_button_url = wp_kses_post($instance['uu_call_out_button_url']) ??  '';
$uu_call_out_image_1 = wp_get_attachment_image_src(wp_kses_post($instance['uu_call_out_image_1']), 'large') ??  '';
$uu_call_out_color_theme = wp_kses_post($instance['uu_call_out_color_theme']) ??  '';
$uu_call_out_justification = wp_kses_post($instance['uu_call_out_justification']) ??  '';
$uu_call_out_start_color = wp_kses_post($instance['uu_call_out_start_color']) ??  '';
$uu_call_out_end_color = wp_kses_post($instance['uu_call_out_end_color']) ??  '';
$uu_gradient_opacity = strval(wp_kses_post($instance['uu_gradient_opacity'])) ??  '';
$uu_gradient_direction = wp_kses_post($instance['uu_gradient_direction']) ??  '';
?>


<div class="uu-c2a-block <?php echo $uu_call_out_justification . ' ' .  $uu_call_out_color_theme;?>" style="background-image:url('<?php echo $uu_call_out_image_1[0]; ?>');">
  <div class="uu-c2a-overlay" style="background: linear-gradient(to <?php echo $uu_gradient_direction . ', ' . $uu_call_out_start_color . ', ' .  $uu_call_out_end_color  ; ?>); opacity: .<?php echo $uu_gradient_opacity;?>;"></div>
  <div class="uu-c2a-content">
  	<?php
  		if (!empty($uu_call_out_title_text)) { echo '<h3>' . $uu_call_out_title_text . '</h3>';}
        if (!empty($uu_call_out_title_text) && (!empty($uu_call_out_body_text))) { echo "<hr>";}
    	if (!empty($uu_call_out_body_text)) { echo '<div class="uu-c2a-description"><p> ' . $uu_call_out_body_text . '</p></div>';} 
    	if (!empty($uu_call_out_button_url) && (!empty($uu_call_out_button_text))  ) { echo '<a href="' . $uu_call_out_button_url . '" class="uu-btn white">' . $uu_call_out_button_text . '</a>';}
    ?>
  </div>
</div>
