<?php
// VARS
$uu_goal_id = $instance['uu_goal_number'];
$uu_goal_desc = $instance['uu_goal_description'];
$uu_goal_obj_title = $instance['uu_goal_objective_title'];
$uu_goal_objectives = $instance['uu_goal_objectives'];

if ( !empty($uu_goal_objectives) ) : ?>

<div class="uu-goal-widget-container">
  <!-- UU GOAL ITEM -->
  <div class="uu-goal-item">
    <div class="uu-goal-header">
      <div class="uu-goal-id"><span><?php echo $uu_goal_id; ?></span></div>
      <div class="uu-goal-description">
        <h4>GOAL</h4>
        <?php echo $uu_goal_desc; ?>
      </div>
    </div>
    <h5 class="uu-goal-objs-title"><?php echo $uu_goal_obj_title; ?></h5>
    <div class="uu-goal-objs">
      <?php
      foreach ($uu_goal_objectives as $objective) :

        // VARS
        $obj_label = $objective['uu_goal_objective_label'];
        $obj_bg_color = $objective['uu_goal_objective_label_color'];
        $obj_text_color = $objective['uu_goal_objective_label_text_color'];
        $obj_desc = $objective['uu_goal_objective_description'];

      ?>
      <!-- UU GOAL OBJECTIVE ITEM -->
      <div class="uu-goal-obj-item">
        <div class="uu-goal-obj-label" style="background-color: <?php echo $obj_bg_color; ?>; color: <?php echo $obj_text_color; ?>;"><span><?php echo $obj_label; ?></span><div class="uu-goal-obj-label-caret" style="border-left: 11px solid <?php echo $obj_bg_color; ?>;"></div></div>
        <div class="uu-goal-obj-description">
        <?php echo $obj_desc; ?>
      </div>
      </div>
      <!-- END UU GOAL OBJECTIVE ITEM -->

      <?php endforeach; ?>
    </div>
  </div>
  <!-- END UU GOAL ITEM -->
</div>

<?php else : ?>
  <p style="text-align:center;">No objectives found.</p>
<?php endif; ?>
