
function fillArray(value, len) {
  var arr = [];
  for (var i = 0; i < len; i++) {
    arr.push(value);
  }
  return arr;
}

//debugger;


jQuery(document).ready(function( $ ) {

  var uuLogoArray = llrLocalized;
  var uuLogoArrayLength = uuLogoArray.length;
  var uuQuotient = Math.floor(33 / uuLogoArrayLength);
  var uuRemainder = 33 % uuLogoArrayLength;

// Create an array that has exactly 33 items from any array
  function makeThirtyThreeLogos(array, n, rem) {
      // Create an array of size "n" with undefined values
      var arrays = Array.apply(null, new Array(n)); 
    
      // Replace each "undefined" with our array, resulting in an array of n copies of our array
      arrays = arrays.map(function() { return array });
    
      // Flatten our array of arrays
      var uuFlattenedArray = [].concat.apply([], arrays);

      var uuRemainderItems = uuFlattenedArray.slice(0, rem);

      uuFlattenedArray.push.apply( uuFlattenedArray, uuRemainderItems);



      return uuFlattenedArray;
    }
    
    var uuAllLogos = makeThirtyThreeLogos(uuLogoArray, uuQuotient, uuRemainder); 



    //debugger;


    function buildBubbleSpecs() {

      var uuBubbleSpecs = 
      [
        { id: 1,  s: .9,  x: 1134, y: 45,   n: uuAllLogos[0]['desc'] },
        { id: 2,  s: 1,   x: 1071, y: 233,  n: uuAllLogos[1]['desc'] },
        { id: 3,  s: .8,  x: 1210, y: 365,  n: uuAllLogos[2]['desc'] },
        { id: 4,  s: .8,  x: 1303, y: 193,  n: uuAllLogos[3]['desc'] },
        { id: 5,  s: 1,   x: 1440, y: 342,  n: uuAllLogos[4]['desc'] },
        { id: 6,  s: 1,   x: 1519, y: 118,  n: uuAllLogos[5]['desc'] },
        { id: 7,  s: .9,  x: 1620, y: 271,  n: uuAllLogos[6]['desc'] },
        { id: 8,  s: 1,   x: 1773, y: 148,  n: uuAllLogos[7]['desc'] },
        { id: 9,  s: .9,  x: 1761, y: 372,  n: uuAllLogos[8]['desc'] },
        { id: 10, s: .8,  x: 1929, y: 293,  n: uuAllLogos[9]['desc'] },
        { id: 11, s: 1,   x: 1990, y: 75,   n: uuAllLogos[10]['desc']  },
        { id: 12, s: 1,   x: 2098, y: 385,  n: uuAllLogos[11]['desc'] },
      
        { id: 13,  s: .9,  x: 2135, y: 198,  n: uuAllLogos[12]['desc'] },
        { id: 14,  s: .8,  x: 2271, y: 356,  n: uuAllLogos[13]['desc'] },
        { id: 15,  s: 1,   x: 2276, y: 82,   n: uuAllLogos[14]['desc'] },
        { id: 16,  s: 1,   x: 2423, y: 244,  n: uuAllLogos[15]['desc'] },
        { id: 17,  s: .9,  x: 2499, y: 79,   n: uuAllLogos[16]['desc']  },
        { id: 18,  s: .8,  x: 2545, y: 387,  n: uuAllLogos[17]['desc'] },
        { id: 19,  s: 1,   x: 2654, y: 182,  n: uuAllLogos[18]['desc'] },
        { id: 20,  s: .8,  x: 2704, y: 334,  n: uuAllLogos[19]['desc'] },
        { id: 21,  s: 1,   x: 2783, y: 60,   n: uuAllLogos[20]['desc'] },
        { id: 22,  s: 1,   x: 2895, y: 271,  n: uuAllLogos[21]['desc'] },
        { id: 23,  s: 1,   x: 75,   y: 103,  n: uuAllLogos[22]['desc'] },
        { id: 24,  s: 1,   x: 129,  y: 357,  n: uuAllLogos[23]['desc'] },
      
        { id: 25,  s: 1,   x: 276,  y: 256,  n: uuAllLogos[24]['desc'] },
        { id: 26,  s: .8,  x: 323,  y: 60,   n: uuAllLogos[25]['desc'] },
        { id: 27,  s: .8,  x: 444,  y: 193,  n: uuAllLogos[26]['desc'] },
        { id: 28,  s: .8,  x: 413,  y: 367,  n: uuAllLogos[27]['desc'] },
        { id: 29,  s: 1,   x: 624,  y: 111,  n: uuAllLogos[28]['desc'] },
        { id: 30,  s: .8,  x: 633,  y: 320,  n: uuAllLogos[29]['desc'] },
        { id: 31,  s: .8,  x: 795,  y: 226,  n: uuAllLogos[30]['desc'] },
        { id: 32,  s: .8,  x: 907,  y: 88,   n: uuAllLogos[31]['desc'] },
        { id: 33,  s: 1,   x: 901,  y: 385,  n: uuAllLogos[32]['desc'] },
      ];
      return uuBubbleSpecs;
    }


  // Floating Logos
  const SCROLL_SPEED = .8;
  const NOISE_SPEED = 0.006;
  const NOISE_AMOUNT = 8;
  const CANVAS_WIDTH = 2800;

  const bubblesEl = document.querySelector('.floating-logos');
  const bubbleSpecs = buildBubbleSpecs();

  class Bubbles {
    constructor(specs) {
      this.bubbles = [];

      specs.forEach((spec, index) => {
        this.bubbles.push(new Bubble(index, spec));
      })

      requestAnimationFrame(this.update.bind(this));
    }

    update() {
      this.bubbles.forEach(bubble => bubble.update());
      this.raf = requestAnimationFrame(this.update.bind(this))
    }
  }


  class Bubble {
    constructor(index, {x, y, s = 1, n}) {
      this.index = index;
      this.x = x;
      this.y = y;
      this.scale = s;
      this.name = n;

      this.noiseSeedX = Math.floor(Math.random() * 64000);
      this.noiseSeedY = Math.floor(Math.random() * 64000);

      this.el = document.createElement("div");
      this.el.className = `bubble logo${this.index + 1}`;
      var titleSpan = document.createElement("span");
      var spanText = document.createTextNode(this.name);
      titleSpan.appendChild(spanText);
      bubblesEl.appendChild(this.el).appendChild(titleSpan);
    }

    update() {
      this.noiseSeedX += NOISE_SPEED;
      this.noiseSeedY += NOISE_SPEED;
      let randomX = noise.simplex2(this.noiseSeedX, 0);
      let randomY = noise.simplex2(this.noiseSeedY, 0);

      this.x -= SCROLL_SPEED;
      this.xWithNoise = this.x + (randomX * NOISE_AMOUNT);
      this.yWithNoise = this.y + (randomY * NOISE_AMOUNT)

      if (this.x <  -200) {
        this.x = CANVAS_WIDTH;
      }

      this.el.style.transform = `translate(${this.xWithNoise}px, ${this.yWithNoise}px) scale(${this.scale})`;
    }
  }

  // For perlin noise
  noise.seed(Math.floor(Math.random() * 64000));

  const bubbles = new Bubbles(bubbleSpecs);



  
  function myFunction(item, index) {
    var indexPlusOne = index + 1;
    var imgUrl = item['image'];
    $('.logo'+ indexPlusOne +'').css("background-image", "url(" + imgUrl + ")");
  }

  uuAllLogos.forEach(myFunction);

});






