<?php
$uu_marquee_speed = wp_kses_post($instance['uu_marquee_speed']) ??  '0';
$uu_marquee_speed = $uu_marquee_speed * 500;
$uu_marquee_easing_speed = wp_kses_post($instance['uu_marquee_easing_speed']) ??  '0';
$uu_marquee_easing_speed = $uu_marquee_easing_speed * 100;
$uu_marquee_height = wp_kses_post($instance['uu_marquee_height']) ?? '';
$uu_marquee_full_screen_bool = wp_kses_post($instance['uu_marquee_full_screen_bool']) ??  ''; //either 1 or empty string
$uu_marquee_parallax_bool = wp_kses_post($instance['uu_marquee_parallax_bool']) ??  ''; //either 1 or empty string

$uu_mq_full_screen_bool = filter_var( $uu_marquee_full_screen_bool, FILTER_VALIDATE_BOOLEAN);
$uu_mq_parallax_bool = filter_var( $uu_marquee_parallax_bool, FILTER_VALIDATE_BOOLEAN);

// if ($uu_mq_full_screen_bool) {
// 	$uu_mq_full_screen_class = 'u-of-u-marquee-full';// USED CONDITIONAL BELOW
// }

// if ($uu_mq_parallax_bool) {
// 	$uu_mq_parallax_class = 'u-of-u-marquee-parallax';//USED CONDITIONAL BELOW
// }


//Repeatable Fields
$uu_marquee_data = $instance['marquee_repeater'];


if (!empty($uu_marquee_data)) {
	?>
    <!-- section -->
    <section class="u-of-u-marquee-container <?php if ($uu_mq_parallax_bool) { echo 'u-of-u-marquee-parallax';} ?>" data-speed="<?php echo $uu_marquee_speed; ?>" easing-speed="<?php echo $uu_marquee_easing_speed; ?>">
	    <!-- marquee carousel -->
		<div class="owl-carousel u-of-u-marquee-owl-carousel u-of-u-marquee">
			<?php
			foreach ($uu_marquee_data as $uu_marquee_value) {

				$uu_marquee_image = wp_get_attachment_image_src($uu_marquee_value['uu_marquee_image'], 'full') ?? '';
				$uu_marquee_logo_image = wp_get_attachment_image_src($uu_marquee_value['uu_marquee_logo_image'], 'medium') ?? '';
				$uu_marquee_photo_url = $uu_marquee_image[0] ?? '';
				$uu_marquee_logo_photo_url = $uu_marquee_logo_image[0] ?? '';
				$uu_marquee_title = $uu_marquee_value['uu_marquee_title'] ?? '';
				$uu_marquee_description = $uu_marquee_value['uu_marquee_description'] ?? '';
				$uu_marquee_button_text = $uu_marquee_value['uu_marquee_button_text'] ?? '';
				$uu_marquee_button_url = $uu_marquee_value['uu_marquee_button_url'] ?? '';
				$uu_marquee_new_tab_bool = $uu_marquee_value['uu_marquee_new_tab_bool'] ?? '';//either 1 or empty string
				$uu_marquee_justification = $uu_marquee_value['uu_marquee_justification'] ??  '';
				$uu_marquee_bg_img_justification = $uu_marquee_value['uu_marquee_bg_img_justification'] ??  '';
				$uu_marquee_color_theme = $uu_marquee_value['uu_marquee_color_theme'] ??  '';
				$uu_marquee_start_color = $uu_marquee_value['uu_marquee_start_color'] ??  '';
				$uu_marquee_end_color = $uu_marquee_value['uu_marquee_end_color'] ??  '';
				$uu_marquee_gradient_opacity = strval($uu_marquee_value['uu_marquee_gradient_opacity']) ??  '';
				$uu_marquee_gradient_direction = $uu_marquee_value['uu_marquee_gradient_direction'] ??  '';

				$uu_mq_new_tab_bool = filter_var( $uu_marquee_new_tab_bool, FILTER_VALIDATE_BOOLEAN);


				if ($uu_mq_new_tab_bool == true ) {$uu_mq_new_tab = 'target="_blank"';}else{$uu_mq_new_tab = '';}


				if (!empty($uu_marquee_photo_url)) { ?>

					<!-- slide -->
			        <div class="item u-of-u-marquee-block <?php echo $uu_marquee_justification . ' ' . $uu_marquee_color_theme;?>" style="height: <?php if ($uu_mq_full_screen_bool){echo '95vh;';} else { echo $uu_marquee_height . 'px;';}?>; background-image: url('<?php echo $uu_marquee_photo_url; ?>'); background-position: <?php echo $uu_marquee_bg_img_justification; ?> center;">

			        	<div class="u-of-u-marquee-overlay" style="background: linear-gradient(to <?php echo $uu_marquee_gradient_direction . ', ' . $uu_marquee_start_color . ', ' .  $uu_marquee_end_color; ?>); opacity: .<?php echo $uu_marquee_gradient_opacity;?>;"></div>

						<div class="u-of-u-marquee-content">
							<?php
								if (!empty($uu_marquee_logo_photo_url)) {
									echo '<img class="u-of-u-marquee-logo"src="' . $uu_marquee_logo_photo_url . '">';
								}
							?>
				  			<h1><?php echo $uu_marquee_title; ?></h1>
				    		<p><?php echo $uu_marquee_description; ?></p>
					    	<?php
					    		if (!empty($uu_marquee_button_text)) { ?>
					    			<a <?php echo $uu_mq_new_tab;?>href="<?php echo $uu_marquee_button_url; ?>" class="u-of-u-marquee-btn uu-btn white"><?php echo $uu_marquee_button_text; ?></a>
					    	<?php } ?>
						</div>

			        </div>
			        <!-- end slide -->

				<?php
				}/*end if !empty($uu_marquee_photo_url)*/

			}/*end foreach*/
			?>
		</div> <!-- end marquee carousel -->
   </section> <!-- end section -->
<?php
}/*end if if (!empty($uu_marquee_data)) */
