var $window = jQuery(window);
$window.load(function() {

  // CHECK WIDTH FOR MEDIA QUERY CHANGES
  function checkWidth() {
    var $windowsize = $window.width();
    var $all_post_loops = jQuery('.uu-post-loop-container');
    var $post_loop2 = jQuery('.uu-post-loop-container[data-layout="uu-post-loop-layout-2"]');
    var $post_loop3 = jQuery('.uu-post-loop-container[data-layout="uu-post-loop-layout-3"]');
    var $post_loop4 = jQuery('.uu-post-loop-container[data-layout="uu-post-loop-layout-4"]');
    var $post_loop5 = jQuery('.uu-post-loop-container[data-layout="uu-post-loop-layout-5"]');

    if ($windowsize < 900) {
      $all_post_loops.removeClass('uu-post-loop-layout-2 uu-post-loop-layout-5').addClass('owl-carousel uu-post-loop-layout-1').owlCarousel({
        loop:true,
        nav:false,
        dots:true,
        responsive:{
          0: {
              items:1,
              stagePadding:50
          },
          600: {
              items:2,
              stagePadding:50
          }
        }
      });
      $all_post_loops.removeClass('uu-post-loop-layout-2 uu-post-loop-layout-3 uu-post-loop-layout-4 uu-post-loop-layout-5').addClass('uu-post-loop-layout-1');
    }
    else if ($windowsize >= 900){
      $post_loop2.removeClass('owl-carousel uu-post-loop-layout-1').addClass('uu-post-loop-layout-2').trigger('destroy.owl.carousel');
      $post_loop3.removeClass('uu-post-loop-layout-1').addClass('uu-post-loop-layout-3');
      $post_loop4.removeClass('uu-post-loop-layout-1').addClass('uu-post-loop-layout-4');
      $post_loop5.removeClass('owl-carousel uu-post-loop-layout-1').addClass('uu-post-loop-layout-5').trigger('destroy.owl.carousel');
    }
  }

  // POST LOOP CAROUSEL LAYOUT 1
  jQuery('.owl-carousel.uu-post-loop-layout-1').owlCarousel({
    loop:true,
    nav:false,
    dots:true,
    responsive:{
        0: {
            items:1,
            stagePadding:50
        },
        900: {
            items:2,
            stagePadding:50
        },
        1200: {
            items:3
        }
    }
  });

  // POST LOOP CAROUSEL LAYOUT 3
  jQuery('.owl-carousel.uu-post-loop-layout-3').owlCarousel({
    loop:true,
    nav:false,
    dots:true,
    responsive:{
        0: {
            items:1,
            stagePadding:50
        },
        900: {
            items:2,
            stagePadding:50
        },
        1200: {
            items:2
        }
    }
  });

  // POST LOOP CAROUSEL LAYOUT 4
  jQuery('.owl-carousel.uu-post-loop-layout-4').owlCarousel({
    loop:true,
    nav:false,
    dots:true,
    responsive:{
        0: {
            items:1,
            stagePadding:50
        },
        900: {
            items:1,
            stagePadding:50
        },
        1200: {
            items:1
        }
    }
  });

  // CHECK WINDOW WIDTH ON RESIZE
  checkWidth();
  $window.resize(checkWidth);

});
