<?php
$uu_timeline_title_color = wp_kses_post($instance['uu_timeline_title_color_picker']);
$uu_timeline_paragraph_color = wp_kses_post($instance['uu_timeline_paragraph_color_picker']);
$uu_timeline_bar_color = wp_kses_post($instance['uu_timeline_bar_color_picker']);



$uu_timeline_data = $instance['timeline_repeater'];
//var_dump($uu_timeline_data);



if ($uu_timeline_bar_color != '#c00') {
		echo '<style type="text/css">';
		echo '.uu-timeline-item .uu-tl-step::after {background: ' . $uu_timeline_bar_color . ';}';
		echo '.uu-timeline-item .uu-tl-step > .uu-tl-number span{color:' . $uu_timeline_bar_color . '}';
		echo '.uu-timeline-item .uu-tl-step > .uu-tl-number{border: 5px solid ' . $uu_timeline_bar_color . ';}';
		echo '</style>';
	}




if (!empty($uu_timeline_data)) {
	foreach ($uu_timeline_data as $key => $uu_timeline_value) {
		$display_count = ($key + 1);
		$x++; 
		$lr_class = ($x%2 == 0) ? 'uu-tl-left': 'uu-tl-right';
		$rl_class = ($x%2 == 0) ? 'uu-tl-right': 'uu-tl-left';

		$uu_timeline_photo = wp_get_attachment_image_src($uu_timeline_value['uu_timeline_image'], 'full');
		$uu_timeline_photo_url = $uu_timeline_photo[0];
		$uu_timeline_title = $uu_timeline_value['uu_timeline_title'];
		$uu_timeline_description = $uu_timeline_value['uu_timeline_description'];
		
	

		if (!empty($uu_timeline_photo_url) || !empty($uu_timeline_title) || !empty($uu_timeline_description)) { ?>
			<!-- Timeline Item -->
			<div class="uu-timeline-item" style="color:<?php echo $uu_timeline_paragraph_color;?>">
				<div class="<?php echo $rl_class;?> uu-tl-copy" data-aos="fade-left">
					<h5 style="color:<?php echo $uu_timeline_title_color;?>"><?php echo $uu_timeline_title; ?></h5>
					<p><?php echo $uu_timeline_description; ?></p>
				</div>
				<div class="uu-tl-step">
					<div class="uu-tl-number" data-aos="fade-up">
						<span><?php echo $display_count;?></span>
					</div>
				</div>
				<div class="<?php echo $lr_class;?> uu-tl-img" data-aos="flip-down">
					<img src="<?php echo $uu_timeline_photo_url; ?>" alt="" class="uu-tl-img-fluid">
				</div>
			</div>
			<!-- End Timeline Item -->
		<?php
		}
       
	}

}