<?php
// VARS
$uu_accordion_tabs = $instance['uu_accordion_tabs'];

if ( !empty($uu_accordion_tabs) ) : ?>
<!-- *********** TABS ACCORDION *********** -->
<div class="uu-tabs-accordion-container uu-tabs-container">
  <!-- UU ACCORDION MENU -->
  <div class="uu-tabs-accordion-menu">
    <ul>
      <?php
      $count = 0;
      foreach ($uu_accordion_tabs as $tab) :

        // VARS
        $tab_title = $tab['uu_accordion_tab_title'];
        $tab_content = $tab['uu_accordion_tab_content'];

      ?>
      <!-- UU ACCORDION MENU ITEM -->
      <li>
        <button type="button" name="uu-top-tabs-<?php echo $count; ?>" class="uu-accordion-btn" data-target="uu-top-tabs-<?php echo $count; ?>">
          <span><?php echo $tab_title; ?></span>
        </button>
      </li>
      <!-- END UU ACCORDION MENU ITEM -->
      <?php
        ++$count;
        endforeach;
      ?>
    </ul>
  </div>
  <!-- END UU ACCORDION MENU -->
  <!-- UU ACCORDION CONTENT -->
  <div class="uu-tabs-accordion-content">
    <ul>
      <?php
      $count = 0;
      foreach ($uu_accordion_tabs as $tab) :

        // VARS
        $tab_title = $tab['uu_accordion_tab_title'];
        $tab_content = $tab['uu_accordion_tab_content'];

      ?>
      <!-- UU ACCORDION CONTENT ITEM -->
      <li>
        <div class="uu-accordion-content" id="uu-top-tabs-<?php echo $count; ?>">
          <?php echo $tab_content; ?>
        </div>
      </li>
      <!-- END UU ACCORDION CONTENT ITEM -->
      <?php
        ++$count;
        endforeach;
      ?>
    </ul>
  </div>
  <!-- END UU ACCORDION CONTENT -->
</div>
<!-- *********** END TABS ACCORDION *********** -->
<?php else : ?>
  <p style="text-align:center;">No tabs found.</p>
<?php endif; ?>
