<?php 

// VARS
$uu_card_layout = $instance['uu_card_layout'];
$uu_cards = $instance['uu_card_repeater'];
$count = 1;

?>

<div id="uu-card-widget-container" class="<?php if ( !empty($uu_card_layout) ) { echo 'uu-card-widget-container-' . $uu_card_layout; } ?>">

<?php if ( !empty($uu_cards) ) : ?>
  <?php foreach ($uu_cards as $card) : ?>
  <?php
    $card_img =         wp_kses_post($card['uu_card_image']);
    $card_img_url =     wp_get_attachment_url( $card_img );
    $card_is_icon =     wp_kses_post($card['uu_card_is_icon']);
    $card_title =       wp_kses_post($card['uu_card_title']);
    $card_title_color = wp_kses_post($card['uu_card_title_color']);
    $card_copy =        wp_kses_post($card['uu_card_content']);
    $card_btn_title =   wp_kses_post($card['uu_card_btn_title']);
    $card_btn_url =     wp_kses_post($card['uu_card_btn_url']);
    $card_btn_color =   wp_kses_post($card['uu_card_btn_color']);
    $card_alignment =   wp_kses_post($card['uu_card_alignment']);
  ?>
  <!-- UU CARD WIDGET ITEM <?php echo $count; ?> -->
  <div class="uu-card-widget-card <?php if ( !empty($card_alignment) ) { echo $card_alignment . '-align'; } ?>">
    <?php if ( !empty($card_img && $card_is_icon != true) ) : ?>
      <div class="uu-card-widget-card-img" style="background-image:url('<?php echo$card_img_url; ?>');"></div>
      <?php elseif ( $card_is_icon != false ) : ?>
        <div class="uu-card-widget-card-img-icon">
          <img src="<?php echo$card_img_url; ?>" alt="<?php echo $card_title; ?>">
        </div>
    <?php endif; ?>
    <div class="uu-card-widget-card-body">
      <?php if ( !empty($card_title) ) : ?>
        <h6 class="uu-card-widget-card-title<?php if ( !empty($card_title_color) ) { echo '-' . $card_title_color; } ?>"><?php echo $card_title; ?></h6>
      <?php endif; ?>
      <?php if ( !empty($card_copy) ) : ?>
        <div class="uu-card-widget-card-copy">
          <?php echo $card_copy; ?>
        </div>
      <?php endif; ?>
      <?php if ( !empty($card_btn_title) ) : ?>
        <a class="uu-btn small <?php if ( !empty($card_btn_color) ) { echo $card_btn_color; } ?>" href="<?php echo $card_btn_url; ?>">
          <?php echo $card_btn_title; ?>
        </a>
      <?php endif; ?>
    </div>
  </div>
  <!-- END UU CARD WIDGET ITEM <?php echo $count; ?> -->
  <?php
    ++$count;
    endforeach;
  ?>
<?php else : ?>
  <p style="text-align:center;">No Cards Found.</p>
<?php endif; ?>

</div>