
jQuery( document ).ready(function() {

  function imageGallery() {
    const highlight = document.querySelector(".uu-gallery-hightlight");
    const previews = document.querySelectorAll(".uu-gallery-thumbnail-wrapper img");

    previews.forEach(preview => {
      preview.addEventListener("click", function() {
        const smallSrc = this.src;
        const bigSrc = this.getAttribute('data-img-full');
        const uuGalleryFigcaption = this.getAttribute('data-img-caption');
        previews.forEach(preview => preview.classList.remove("room-active"));
        highlight.src = bigSrc;
        jQuery('#uu-gallery-figcaption').html(uuGalleryFigcaption);
        preview.classList.add("room-active");
        jQuery('html, body').animate({
          scrollTop: jQuery('.uu-gallery-hightlight').offset().top - 50 //#DIV_ID is an example. Use the id of your destination on the page
        }, 'slow');
      });
    });
  }
  imageGallery();


  
  let autoScrollBool = jQuery('.uu-quick-links-tab-slider-wrapper').attr('data-autoscroll');
  jQuery('.uu-quick-links-tab-slider-wrapper').owlCarousel({
      loop:true,
      margin:0,
      nav:false,
      dots:true,
      animateOut: 'fadeOut',
      animateIn: 'fadeIn',
      autoHeight: true,
      autoplay:autoScrollBool,
      autoplayTimeout:4000,
      autoplayHoverPause:false,
      autoplaySpeed: 2000,
      stagePadding: 0,
      items: 1,
      singleItem:true,
  });

});
